<ng-container *transloco="let t">
    <h2 mat-dialog-title>{{ t('participantType.addAttribute') }}</h2>
    <mat-dialog-content>
        <div class="p-0">
            <lib-search-page [clickable]="true" [pageInfo]="pageInfo" [staticFilters]="filter"
                (checkboxSelectionEmitter)="idAttrIds = $event"></lib-search-page>
        </div>
    </mat-dialog-content>
    <mat-dialog-actions class="justify-content-center">
        <button id="cancelButton" mat-button mat-dialog-close>{{ t('simpleInput.cancel') }}</button>
        <button id="addButton" mat-button cdkFocusInitial (click)="dialogRef.close(this.idAttrIds)">{{ t('simpleInput.add') }}</button>
    </mat-dialog-actions>
</ng-container>
